package com.composition.android.ad.gromore.util

import com.bytedance.msdk.api.v2.GMMediationAdSdk

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/15
 * description:
 */
object GMSettingConfig {


    /**
     * 加载广告配置
     * 在加载GroMore广告前需要先调用此方法获取GroMore广告位的中介配置
     */
    fun loadAdConfig(callBack: () -> Unit) {
        if (GMMediationAdSdk.configLoadSuccess()) {
            callBack.invoke()
        } else {
            GMMediationAdSdk.registerConfigCallback {
                callBack.invoke()
            }
        }
    }


}